Enable RemexHTML on fawiki
Closed, ResolvedPublic

Description

I can help in fixing things and also it would be good to have it on a RTL wiki.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 18 2017, 3:51 PM
ssastry triaged this task as Normal priority.Sep 18 2017, 4:06 PM

Change 379966 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[operations/mediawiki-config@master] Enable RemexHTML on several wikis.

https://gerrit.wikimedia.org/r/379966

Zoranzoki21 claimed this task.
Zoranzoki21 added a subscriber: Zoranzoki21.

https://fa.wikipedia.org/wiki/%D9%88%DB%8C%DA%98%D9%87:LintErrors shows that there are over a thousand high-priority errors. I thought that these needed to be fixed before a wiki changes from Tidy to Remex. The comment from @Jdforrester-WMF in T175971#3609583 – as well as the descriptions in T175971, T175972 and T176088 – seem to suggest that.

https://fa.wikipedia.org/wiki/%D9%88%DB%8C%DA%98%D9%87:LintErrors shows that there are over a thousand high-priority errors. I thought that these needed to be fixed before a wiki changes from Tidy to Remex. The comment from @Jdforrester-WMF in T175971#3609583 – as well as the descriptions in T175971, T175972 and T176088 – seem to suggest that.

It's a sufficient but not necessary condition. If a wiki is already unaffected by the change we'll make it earlier than other wikis, so subsequent edits don't introduce new issues.

If a wiki has some Tidy-relevant errors (the "high priority" section), then the content display will change on those wikis after we throw the switch – but the local community can go and fix those pretty easily, and in some ways it's easier to ensure that you've fixed them as you can see the results.

I'm happy for us to proceed if @Ladsgroup is – it's him, not me, that has the ability to fix these working with the local editing community, after all. :-)

I constantly fix these errors, It has been reduced from 5K to 1K now and will happily continue doing so.

Change 383652 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Parser: Switch from Tidy to Remex on fawiki

https://gerrit.wikimedia.org/r/383652

Change 383652 merged by jenkins-bot:
[operations/mediawiki-config@master] Parser: Switch from Tidy to Remex on fawiki

https://gerrit.wikimedia.org/r/383652

Jdforrester-WMF closed this task as Resolved.Oct 11 2017, 11:26 PM

Now live in production. Thanks to the fawiki community for your great work!

Mentioned in SAL (#wikimedia-operations) [2017-10-11T23:27:52Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:383652|Parser: Switch from Tidy to Remex on fawiki]] T176150 (duration: 00m 50s)